/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */


package fr.gouv.finances.cp.xemelios.plugin.generatorPesPjs;

import java.io.File;
import java.util.Vector;

/**
 *
 * @author jp.tessier
 */
public class PJ {
    private File pjFile;
    private String identifiant,namePJ,typePJ,description;
    private Vector<RefCompta> vRefsComptas;
    
    public PJ (File f,String id,String nom,String type,String desc,Vector<RefCompta> vrc){
        pjFile=f;
        identifiant=id;
        namePJ=nom;
        typePJ=type;
        description=desc;
        vRefsComptas=vrc;
    }

    public File getPjFile() {
        return pjFile;
    }

    public String getIdentifiant() {
        return identifiant;
    }

    public String getNamePJ() {
        return namePJ;
    }

    public String getTypePJ() {
        return typePJ;
    }

    public String getDescription() {
        return description;
    }

    public void modifPJ (File f,String id,String nom,String type,String desc,Vector<RefCompta> vrc){
        pjFile=f;
        identifiant=id;
        namePJ=nom;
        typePJ=type;
        description=desc;
        vRefsComptas=vrc;
    }
    
    public Vector<RefCompta> getVRefsComptas() {
        return vRefsComptas;
    }
}
